Summary: A console-based network monitoring program
Name: iptraf
Version: 1.4.2
Release: 2
Source: ftp://ftp.cebu.mozcom.com/pub/linux/net/%{name}-%{version}.tar.gz
URL: http://cebu.mozcom.com/riker/iptraf
Patch: %{name}-%{version}.config.patch
Copyright: GPL
Group: Applications/System
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
IPTraf is a console-based network monitoring program for Linux that
displays information about IP traffic.  It returns such information as:

	Current TCP connections
	UDP, ICMP, OSPF, and other types of IP packets
	Packet and byte counts on TCP connections
	IP, TCP, UDP, ICMP, non-IP, and other packet and byte counts
	TCP/UDP counts by ports
	Interface activity
	Flag statuses on TCP packets
	LAN station statistics

This program can be used to determine the type of traffic on your network,
and what kind of service is the most heavily used on what machines, among
others.

IPTraf works on Ethernet, FDDI, ISDN, PLIP, and SLIP/PPP interfaces.

%prep
%setup -q 
%patch -p1 -b .rhcn

%build
make -C src

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/var/iptraf
install -d $RPM_BUILD_ROOT/var/log/iptraf
install -d $RPM_BUILD_ROOT/usr/man/man8
install -m0755 src/iptraf $RPM_BUILD_ROOT/usr/bin
install -m0755 src/rvnamed $RPM_BUILD_ROOT/usr/bin
install -m0644 Documentation/iptraf.8 $RPM_BUILD_ROOT/usr/man/man8
install -m0644 Documentation/rvnamed.8 $RPM_BUILD_ROOT/usr/man/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(-,root,root) %doc CHANGES COPYING INSTALL README README.interfaces README.platforms README.rvnamed WHATELSE Documentation
%attr(-,root,root) /usr/bin/iptraf
%attr(-,root,root) /usr/bin/rvnamed
%attr(-,root,root) /usr/man/man8/iptraf.8
%attr(-,root,root) /usr/man/man8/rvnamed.8
%attr(-,root,root) %dir /var/iptraf
%attr(-,root,root) %dir /var/log/iptraf

%changelog
* Sat Apr 18 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Sat Jan 16 1999 Anders Semb Hermansen <ahermans@vf.telia.no>
- Updated to version 1.4.2
- Used name and version variables in source field

* Wed Jan 6 1999 Anders Semb Hermansen <ahermans@vf.telia.no>
- Maintainer for RHCN: Anders Semb Hermansen
